net.sf.okapi.common.encoder

## Enum QuoteMode

- java.lang.Object
- - java.lang.Enum<QuoteMode>
  - - net.sf.okapi.common.encoder.QuoteMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<QuoteMode>

      public enum QuoteMode
      extends java.lang.Enum<QuoteMode>

  Specifies the behavior for the escaping of single and double quotes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL` Escape single and double quotes to a named entity.
    `DOUBLE_QUOTES_ONLY` Escape double quotes only.
    `NUMERIC_SINGLE_QUOTES` Escape double quotes to a named entity, and single quotes to a numeric entity.
    `UNESCAPED` Do not escape single or double quotes.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static QuoteMode` | `fromValue(int value)`
    `int` | `toValue()`
    `static QuoteMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static QuoteMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNESCAPED

          public static final QuoteMode UNESCAPED

      Do not escape single or double quotes.

    - #### ALL

          public static final QuoteMode ALL

      Escape single and double quotes to a named entity.

    - #### NUMERIC_SINGLE_QUOTES

          public static final QuoteMode NUMERIC_SINGLE_QUOTES

      Escape double quotes to a named entity, and single quotes to a numeric entity.

    - #### DOUBLE_QUOTES_ONLY

          public static final QuoteMode DOUBLE_QUOTES_ONLY

      Escape double quotes only.

  - ### Method Detail

    - #### values

          public static QuoteMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (QuoteMode c : QuoteMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static QuoteMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromValue

          public static QuoteMode fromValue(int value)

    - #### toValue

          public int toValue()